diff --git a/configure.ac b/configure.ac
index 88884c2..b0c0697 100644
--- a/configure.ac
+++ b/configure.ac
@@ -60,8 +60,13 @@ AM_CONDITIONAL([HAVE_CLOCK_GETRES], [test "x$ac_cv_func_clock_getres" = xyes])
 AM_CONDITIONAL([HAVE_CLOCK_GETTIME], [test "x$ac_cv_func_clock_gettime" = xyes])
 
 # check for libtls
-AC_SEARCH_LIBS([tls_config_set_ca_mem],[tls],
-	       [LIBS="$LIBS -ltls -lssl -lcrypto"],,[-lssl -lcrypto])
+PKG_CHECK_MODULES([LIBTLS], [libtls],[],[
+	PKG_CHECK_MODULES([LIBTLS], [libtls-standalone])
+	])
+AC_SEARCH_LIBS([tls_config_set_ca_mem],[tls tls-standalone],
+	       [LIBS="$LIBS $LIBTLS_LIBS"
+	       CFLAGS="$CFLAGS $LIBTLS_CFLAGS"],
+	       ,[$LIBTLS_LIBS])
 AC_CHECK_FUNCS([tls_config_set_ca_mem])
 
 # check if libtls uses 3-argument tls_write
